Index: modules/uoa-claims -demo/claims-demo/src/test/java/eu/dnetlib/data/claims/migration/parser/RelationParserTest.java
===================================================================
--- modules/uoa-claims -demo/claims-demo/src/test/java/eu/dnetlib/data/claims/migration/parser/RelationParserTest.java	(revision 41790)
+++ modules/uoa-claims -demo/claims-demo/src/test/java/eu/dnetlib/data/claims/migration/parser/RelationParserTest.java	(revision 41791)
@@ -1,6 +1,6 @@
 package eu.dnetlib.data.claims.migration.parser;
 
-import eu.dnetlib.data.claims.migration.Relation;
+import eu.dnetlib.data.claims.migration.entity.Relation;
 import eu.dnetlib.data.claimsDemo.ClaimUtils;
 import org.junit.Assert;
 import org.junit.Test;
Index: modules/uoa-claims -demo/claims-demo/src/main/java/eu/dnetlib/data/claims/migration/Test.java
===================================================================
--- modules/uoa-claims -demo/claims-demo/src/main/java/eu/dnetlib/data/claims/migration/Test.java	(revision 41790)
+++ modules/uoa-claims -demo/claims-demo/src/main/java/eu/dnetlib/data/claims/migration/Test.java	(revision 41791)
@@ -1,5 +1,8 @@
 package eu.dnetlib.data.claims.migration;
 
+import eu.dnetlib.data.claims.migration.entity.Project;
+import eu.dnetlib.data.claims.migration.entity.Result;
+
 import java.util.Calendar;
 
 public class Test {
Index: modules/uoa-claims -demo/claims-demo/src/main/java/eu/dnetlib/data/claims/migration/ClaimValidation.java
===================================================================
--- modules/uoa-claims -demo/claims-demo/src/main/java/eu/dnetlib/data/claims/migration/ClaimValidation.java	(revision 41790)
+++ modules/uoa-claims -demo/claims-demo/src/main/java/eu/dnetlib/data/claims/migration/ClaimValidation.java	(revision 41791)
@@ -1,14 +1,16 @@
 package eu.dnetlib.data.claims.migration;
 
+import eu.dnetlib.data.claims.migration.entity.Claim;
+import eu.dnetlib.data.claims.migration.entity.Context;
+import eu.dnetlib.data.claims.migration.entity.OpenaireEntity;
+import eu.dnetlib.data.claims.migration.entity.Project;
+import eu.dnetlib.data.claims.migration.entity.Result;
 import eu.dnetlib.data.claimsDemo.ClaimUtils;
-import eu.dnetlib.data.claimsDemo.SearchUtils;
 
 import java.io.BufferedWriter;
 import java.io.FileWriter;
 import java.io.IOException;
 import java.io.PrintWriter;
-import java.sql.Timestamp;
-import java.util.Date;
 
 /**
  * Created by argirok on 21/1/2016.
Index: modules/uoa-claims -demo/claims-demo/src/main/java/eu/dnetlib/data/claims/migration/JsonldBuilder.java
===================================================================
--- modules/uoa-claims -demo/claims-demo/src/main/java/eu/dnetlib/data/claims/migration/JsonldBuilder.java	(revision 41790)
+++ modules/uoa-claims -demo/claims-demo/src/main/java/eu/dnetlib/data/claims/migration/JsonldBuilder.java	(revision 41791)
@@ -2,8 +2,8 @@
 import java.util.ArrayList;
 import java.util.List;
 
-import com.google.gson.JsonObject;
-import com.google.gson.JsonParser;
+import eu.dnetlib.data.claims.migration.entity.Claim;
+import eu.dnetlib.data.claims.migration.entity.Result;
 import org.springframework.web.client.RestTemplate;
 
 import com.google.gson.Gson;
@@ -16,7 +16,7 @@
 		
 		String retString = gson.toJson(claim);
 		
-	/*	final String uri = "http://localhost:9090/oa/insertClaim";
+	/*	final String uri = "http://localhost:9090/oa/buildAndInsertClaim";
 		 
 	 
 	    RestTemplate restTemplate = new RestTemplate();
@@ -36,6 +36,16 @@
         String retString = gson.toJson(claim);
         return retString;
     }
+    public static String toJsonld(List<Claim> claims) {
+
+        GsonBuilder gsonBuilder = new GsonBuilder();
+        gsonBuilder.setPrettyPrinting();
+        gsonBuilder.setDateFormat("yyyy-MM-dd HH:mm:ss.SSS");
+        Gson gson =gsonBuilder.create();
+
+         String retString = gson.toJson(claims);
+        return retString;
+    }
 	public static void bulkLoad(List<String> claims) {
 		
 		final String uri = "http://localhost:9090/oa/insertClaim";
Index: modules/uoa-claims -demo/claims-demo/src/main/java/eu/dnetlib/data/claimsDemo/TestClass.java
===================================================================
--- modules/uoa-claims -demo/claims-demo/src/main/java/eu/dnetlib/data/claimsDemo/TestClass.java	(revision 41790)
+++ modules/uoa-claims -demo/claims-demo/src/main/java/eu/dnetlib/data/claimsDemo/TestClass.java	(revision 41791)
@@ -5,12 +5,18 @@
  */
 
 
-//import eu.dnetlib.data.claims.migration.Claim;
 
-import eu.dnetlib.data.claims.migration.*;
+
+import eu.dnetlib.data.claims.migration.ClaimValidation;
+import eu.dnetlib.data.claims.migration.JsonldBuilder;
+import eu.dnetlib.data.claims.migration.Migration;
+import eu.dnetlib.data.claims.migration.entity.Claim;
+import eu.dnetlib.data.claims.migration.entity.Context;
+import eu.dnetlib.data.claims.migration.entity.OpenaireEntity;
+import eu.dnetlib.data.claims.migration.entity.Project;
+import eu.dnetlib.data.claims.migration.entity.Result;
 import eu.dnetlib.data.claims.migration.handler.*;
 import eu.dnetlib.data.claims.migration.parser.DMFParser;
-import eu.dnetlib.data.claims.migration.parser.OafParser;
 import org.apache.log4j.BasicConfigurator;
 import org.apache.log4j.Logger;
 import org.junit.Before;
@@ -28,6 +34,12 @@
 import javax.xml.xpath.XPathExpressionException;
 import java.io.IOException;
 import java.sql.ResultSet;
+import java.sql.SQLException;
+import java.text.SimpleDateFormat;
+import java.util.ArrayList;
+import java.util.Calendar;
+import java.util.Date;
+import java.util.List;
 
 import static junit.framework.Assert.assertNotNull;
 
@@ -41,10 +53,8 @@
 	private Logger log = Logger.getLogger(this.getClass());
 
 
-    @Autowired
 	private SqlDAO sqlDAO;
 
-    @Autowired
     private QueryGenerator queryGenerator;
 
     RelationHandler relationHandler = null;
@@ -56,6 +66,7 @@
     ExternalRecordHandler externalRecordHandler = null;
     ResultHandler resultHandler = null;
 
+    FetchClaimHandler fetchClaimHandler = null;
     ClaimHandler claimHandler = null;
     ClaimValidation claimValidation = new ClaimValidation();
 
@@ -63,7 +74,6 @@
     @Before
 	public void init() throws Exception {
 		BasicConfigurator.configure();
-		assertNotNull(sqlDAO);
         ApplicationContext context = new ClassPathXmlApplicationContext("eu/dnetlib/data/claims/migration/springContext-claimsDemo.xml");
         relationHandler = context.getBean(RelationHandler.class);
         contextRelationHandler = context.getBean(ContextRelationHandler.class);
@@ -74,24 +84,97 @@
         indexResultHandler = context.getBean(IndexResultHandler.class);
         resultHandler = context.getBean(ResultHandler.class);
         claimHandler = context.getBean(ClaimHandler.class);
+        sqlDAO = context.getBean(SqlDAO.class);
+        queryGenerator = context.getBean(QueryGenerator.class);
+        fetchClaimHandler = context.getBean(FetchClaimHandler.class);
 
+
+        assertNotNull(sqlDAO);
+
 	}
+    @Test
+    public void testJson(){
+        Claim claim = new Claim();
+        Project project= new Project();
+        claim.setDate(Calendar.getInstance().getTime());
+        claim.setId("claimId");
+        claim.setUserMail("claim mail");
 
+        project.setFunderName("EC");
+        project.setOpenaireId("openaireID1234");
+        project.setName("PrTitle");
+        claim.setSource(project);
+        Result result = new Result();
+        result.setAccessRights("accessRights");
+        result.setCollectedFrom("collectedFrom");
+        result.setExternalUrl("external_url");
+        result.setOpenaireId("openaire_id");
+        result.setTitle("title");
+        result.setResultType("type");
+        result.setMetadataRecord("xmlString");
+        claim.setTarget(result);
+        System.out.println("test");
+        System.out.println(JsonldBuilder.toJsonld(claim));
+    }
 
-	@Test
+    @Test
+    public void testFetch() throws Exception {
+
+        try {
+            List<Claim> claims = null;
+//            claims = claimFetcher.getFetchClaimHandler().fetchClaimsByUser("i.fava@cineca.it");
+
+            claims = fetchClaimHandler.fetchClaimsByProject("corda_______::ab9c77ce02967b24fc9c1a74276e4677");
+//            claims = claimFetcher.getFetchClaimHandler().fetchClaimsByFunder("fct_________::FCT");
+//            claims = fetchClaimHandler.fetchClaimsByResult("dedup_wf_001::541b1cef0d38d519e98a3b7a5b60bc75");
+            System.out.println(fetchClaimHandler.claims2JSON(claims));
+
+        } catch (Exception e) {
+            e.printStackTrace();
+        }
+    }
+    @Test
+    public void testInsert() throws Exception {
+        //String user, String date, String sourceType, String sourceId, String sourceCollectedFrom, String targetType, String targetId, String targetCollectedFrom) throws Exception {
+//acm_________::31e0e5e7cbd6e2556336d7e795f55c49
+//dedup_wf_001::64ca1e3a4d1590456ad3dd7df8a18cd7
+        claimHandler.buildAndInsertClaim("argirok@di.uoa.gr",new Date(), "context","corda_______::c0f1e1b0fcf3dfa9eb043ef9a90ae384",null,"publication","acm_________::31e0e5e7cbd6e2556336d7e795f55c49","openaire");
+    }
+    @Test
+    public void testDelete() throws Exception {
+        //String user, String date, String sourceType, String sourceId, String sourceCollectedFrom, String targetType, String targetId, String targetCollectedFrom) throws Exception {
+//acm_________::31e0e5e7cbd6e2556336d7e795f55c49
+//dedup_wf_001::64ca1e3a4d1590456ad3dd7df8a18cd7
+        claimHandler.buildAndInsertClaim("argirok@di.uoa.gr",new Date(), "project","corda_______::c0f1e1b0fcf3dfa9eb043ef9a90ae384",null,"publication","acm_________::31e0e5e7cbd6e2556336d7e795f55c49","openaire");
+    }
+
+    @Test
 	public void testJob() throws Exception {
+        String selectcountDMFClaims =" Select count(*) from claims_view  where type='dmf2actions' and xml NOT ILIKE '%<oaf:concept%' ";
+        String selectCountConceptClaims =" Select count(*) from claims_view  where ( type='dmf2actions' or type='updates2actions' ) and xml LIKE '%<oaf:concept%' ";
+        String selectCountRelationClaims =" Select count(*) from claims_view  where type='rels2actions'  ";
 
-        ResultSet rs = sqlDAO.executePreparedQuery(queryGenerator.generateSelectCountConceptClaimsQuery(-1));
+        ResultSet rs = sqlDAO.executePreparedQuery(selectCountConceptClaims);
 
         while(rs.next()) {
             log.info("Concept claims: "+rs.getInt(1));
         }
-         rs = sqlDAO.executePreparedQuery(queryGenerator.generateSelectCountRelationClaimsQuery(-1));
+         rs = sqlDAO.executePreparedQuery(selectCountRelationClaims);
 
         while(rs.next()) {
             log.info("Relation claims: "+rs.getInt(1));
         }
+         rs = sqlDAO.executePreparedQuery("Select count(*) from claim");
 
+        while(rs.next()) {
+            log.info("Migrated claims: "+rs.getInt(1));
+        }
+        rs = sqlDAO.executePreparedQuery("Select count(*) from result");
+
+        while(rs.next()) {
+            log.info("Results: "+rs.getInt(1));
+        }
+
 	}
 
     @Test
Index: modules/uoa-claims -demo/claims-demo/src/main/resources/eu/dnetlib/data/claims/migration/springContext-claimsDemo.xml
===================================================================
--- modules/uoa-claims -demo/claims-demo/src/main/resources/eu/dnetlib/data/claims/migration/springContext-claimsDemo.xml	(revision 41790)
+++ modules/uoa-claims -demo/claims-demo/src/main/resources/eu/dnetlib/data/claims/migration/springContext-claimsDemo.xml	(revision 41791)
@@ -26,7 +26,9 @@
 
 
     <!--Handlers -->
-
+    <bean id="fetchClaimHandler" class="eu.dnetlib.data.claims.migration.handler.FetchClaimHandler">
+        <property name="sqlDAO" ref="sqlDao"/>
+    </bean>
     <bean id="claimHandler" class="eu.dnetlib.data.claims.migration.handler.ClaimHandler">
         <property name="sqlDAO" ref="sqlDao"/>
         <property name="queryGenerator" ref="queryGenerator"/>
Index: modules/uoa-claims -demo/claims-demo/src/main/java/eu/dnetlib/data/claims/migration/ClaimFetcher.java
===================================================================
--- modules/uoa-claims -demo/claims-demo/src/main/java/eu/dnetlib/data/claims/migration/ClaimFetcher.java	(nonexistent)
+++ modules/uoa-claims -demo/claims-demo/src/main/java/eu/dnetlib/data/claims/migration/ClaimFetcher.java	(revision 41791)
@@ -0,0 +1,54 @@
+package eu.dnetlib.data.claims.migration;
+
+import eu.dnetlib.data.claims.migration.entity.Claim;
+
+import eu.dnetlib.data.claims.migration.handler.FetchClaimHandler;
+
+import org.springframework.context.ApplicationContext;
+import org.springframework.context.support.ClassPathXmlApplicationContext;
+
+import java.sql.ResultSet;
+import java.util.ArrayList;
+import java.util.List;
+
+/**
+* Created by argirok on 9/3/2016.
+*/
+public class ClaimFetcher {
+    private FetchClaimHandler fetchClaimHandler = null;
+
+
+    public ClaimFetcher(){
+        ApplicationContext context = new ClassPathXmlApplicationContext("eu/dnetlib/data/claims/migration/springContext-claimsDemo.xml");
+        fetchClaimHandler = context.getBean(FetchClaimHandler.class);
+
+    }
+
+
+
+    public FetchClaimHandler getFetchClaimHandler() {
+        return fetchClaimHandler;
+    }
+
+    public void setFetchClaimHandler(FetchClaimHandler fetchClaimHandler) {
+        this.fetchClaimHandler = fetchClaimHandler;
+    }
+
+    public static void main(String[] args) {
+
+        ClaimFetcher claimFetcher = new ClaimFetcher();
+
+        try {
+            List<Claim> claims = null;
+//            claims = claimFetcher.getFetchClaimHandler().fetchClaimsByUser("i.fava@cineca.it");
+
+//            claims = claimFetcher.getFetchClaimHandler().fetchClaimsByProject("corda_______::ab9c77ce02967b24fc9c1a74276e4677");
+//            claims = claimFetcher.getFetchClaimHandler().fetchClaimsByFunder("fct_________::FCT");
+            claims = claimFetcher.getFetchClaimHandler().fetchClaimsByResult("dedup_wf_001::541b1cef0d38d519e98a3b7a5b60bc75");
+            System.out.println(claimFetcher.getFetchClaimHandler().claims2JSON(claims));
+
+        } catch (Exception e) {
+            e.printStackTrace();
+        }
+    }
+}
Index: modules/uoa-claims -demo/claims-demo/src/main/java/eu/dnetlib/data/claims/migration/Migration.java
===================================================================
--- modules/uoa-claims -demo/claims-demo/src/main/java/eu/dnetlib/data/claims/migration/Migration.java	(revision 41790)
+++ modules/uoa-claims -demo/claims-demo/src/main/java/eu/dnetlib/data/claims/migration/Migration.java	(revision 41791)
@@ -1,8 +1,8 @@
 package eu.dnetlib.data.claims.migration;
 
+import eu.dnetlib.data.claims.migration.entity.*;
 import eu.dnetlib.data.claims.migration.handler.*;
 import eu.dnetlib.data.claimsDemo.ClaimUtils;
-import org.apache.commons.io.FileUtils;
 import org.springframework.context.ApplicationContext;
 import org.springframework.context.support.ClassPathXmlApplicationContext;
 
@@ -65,7 +65,7 @@
                 source= buildProject(relation.getSourceId(),relation.getClaimId());
                 claim.setSourceType(ClaimUtils.PROJECT);
             } else if (relation.getSourceType().equals(ClaimUtils.CONTEXT)) {
-                Context context = dmfContextHandler.fetchContextById(relation.getSourceId());
+                Context context = dmfContextHandler.fetchContextByIdFromDmf(relation.getSourceId());
                 source = context;
                 claim.setSourceType(ClaimUtils.CONTEXT);
             } else if (relation.getSourceType().equals(ClaimUtils.DATASET) || relation.getSourceType().equals(ClaimUtils.PUBLICATION)) {
@@ -331,7 +331,7 @@
      */
     private void saveClaims(List<Claim> claims) throws Exception {
         for(Claim claim : claims){
-            if(claim.getTargetType().equals(ClaimUtils.DATASET)||claim.getTargetType().equals(ClaimUtils.PUBLICATION)){
+           /* if(claim.getTargetType().equals(ClaimUtils.DATASET)||claim.getTargetType().equals(ClaimUtils.PUBLICATION)){
                 String path = resultHandler.exportMetadataFileForResult((Result)claim.getTarget());
                 ((Result) claim.getTarget()).setRecordPath(path);
             }
@@ -338,12 +338,15 @@
             if(claim.getSourceType().equals(ClaimUtils.DATASET)||claim.getSourceType().equals(ClaimUtils.PUBLICATION)){
                 String path = resultHandler.exportMetadataFileForResult((Result)claim.getSource());
                 ((Result) claim.getSource()).setRecordPath(path);
-            }
+            }*/
+            claim = claimHandler.exportMedatataForClaim(claim);
             claimHandler.saveClaim(claim);
         }
 
     }
 
+
+
     public static void main(String[] args) {
 
         Migration migration = new Migration();
@@ -350,8 +353,8 @@
         try {
 
             List<Claim> claims = null;
-            claims = migration.createContextRelationClaims();
-//            claims = migration.createRelationsClaims();
+//            claims = migration.createContextRelationClaims();
+            claims = migration.createRelationsClaims();
 
             migration.printStatistics(claims);
             migration.saveClaims(claims);
Index: modules/uoa-claims -demo/claims-demo/src/main/java/eu/dnetlib/data/claims/migration/entity/OpenaireEntity.java
===================================================================
--- modules/uoa-claims -demo/claims-demo/src/main/java/eu/dnetlib/data/claims/migration/entity/OpenaireEntity.java	(nonexistent)
+++ modules/uoa-claims -demo/claims-demo/src/main/java/eu/dnetlib/data/claims/migration/entity/OpenaireEntity.java	(revision 41791)
@@ -0,0 +1,8 @@
+package eu.dnetlib.data.claims.migration.entity;
+/**
+ * Created by argirok on 10/12/2015.
+ */
+public interface OpenaireEntity {
+    public String getOpenaireId();
+
+}
Index: modules/uoa-claims -demo/claims-demo/src/main/java/eu/dnetlib/data/claims/migration/entity/ContextRelation.java
===================================================================
--- modules/uoa-claims -demo/claims-demo/src/main/java/eu/dnetlib/data/claims/migration/entity/ContextRelation.java	(nonexistent)
+++ modules/uoa-claims -demo/claims-demo/src/main/java/eu/dnetlib/data/claims/migration/entity/ContextRelation.java	(revision 41791)
@@ -0,0 +1,95 @@
+package eu.dnetlib.data.claims.migration.entity;
+
+import java.util.Date;
+
+/**
+ * Created by argirok on 10/2/2016.
+ */
+public class ContextRelation {
+
+    private String claimId = null;
+    private String contextId = null;
+
+    private String resultId = null;
+
+    private boolean hasDMF = false;
+    private String resultDmf = null;
+    private String contextDmf = null;
+
+
+    private String collectedFrom = null;
+    private String claimedBy = null;
+    private Date claimDate = null;
+
+    public String getClaimId() {
+        return claimId;
+    }
+
+    public void setClaimId(String claimId) {
+        this.claimId = claimId;
+    }
+
+    public String getContextId() {
+        return contextId;
+    }
+
+    public void setContextId(String contextId) {
+        this.contextId = contextId;
+    }
+
+    public String getResultId() {
+        return resultId;
+    }
+
+    public void setResultId(String resultId) {
+        this.resultId = resultId;
+    }
+
+    public boolean isHasDMF() {
+        return hasDMF;
+    }
+
+    public void setHasDMF(boolean hasDMF) {
+        this.hasDMF = hasDMF;
+    }
+
+    public String getResultDmf() {
+        return resultDmf;
+    }
+
+    public void setResultDmf(String resultDmf) {
+        this.resultDmf = resultDmf;
+    }
+
+    public String getContextDmf() {
+        return contextDmf;
+    }
+
+    public void setContextDmf(String contextDmf) {
+        this.contextDmf = contextDmf;
+    }
+
+    public String getCollectedFrom() {
+        return collectedFrom;
+    }
+
+    public void setCollectedFrom(String collectedFrom) {
+        this.collectedFrom = collectedFrom;
+    }
+
+    public String getClaimedBy() {
+        return claimedBy;
+    }
+
+    public void setClaimedBy(String claimedBy) {
+        this.claimedBy = claimedBy;
+    }
+
+    public Date getClaimDate() {
+        return claimDate;
+    }
+
+    public void setClaimDate(Date claimDate) {
+        this.claimDate = claimDate;
+    }
+}
Index: modules/uoa-claims -demo/claims-demo/src/main/java/eu/dnetlib/data/claims/migration/entity/Context.java
===================================================================
--- modules/uoa-claims -demo/claims-demo/src/main/java/eu/dnetlib/data/claims/migration/entity/Context.java	(nonexistent)
+++ modules/uoa-claims -demo/claims-demo/src/main/java/eu/dnetlib/data/claims/migration/entity/Context.java	(revision 41791)
@@ -0,0 +1,39 @@
+package eu.dnetlib.data.claims.migration.entity;
+
+/**
+
+
+ import eu.dnetlib.data.claims.migration.entity.OpenaireEntity; Created by kiatrop on 20/11/2015.
+ */
+public class Context implements   OpenaireEntity{
+private String title;
+    private String openaireId;
+
+    public String getTitle() {
+        return title;
+    }
+
+    public void setTitle(String title) {
+        this.title = title;
+    }
+
+    public String getOpenaireId() {
+        return openaireId;
+    }
+
+    public void setOpenaireId(String openaireId) {
+        this.openaireId = openaireId;
+    }
+
+    private String export(){
+        return "";
+    }
+
+    @Override
+    public String toString() {
+        return "Context{" +
+                "title='" + title + '\'' +
+                ", openaireId='" + openaireId + '\'' +
+                '}';
+    }
+}
Index: modules/uoa-claims -demo/claims-demo/src/main/java/eu/dnetlib/data/claims/migration/entity/Claim.java
===================================================================
--- modules/uoa-claims -demo/claims-demo/src/main/java/eu/dnetlib/data/claims/migration/entity/Claim.java	(nonexistent)
+++ modules/uoa-claims -demo/claims-demo/src/main/java/eu/dnetlib/data/claims/migration/entity/Claim.java	(revision 41791)
@@ -0,0 +1,102 @@
+package eu.dnetlib.data.claims.migration.entity;
+
+import java.text.SimpleDateFormat;
+
+import com.google.gson.annotations.SerializedName;
+import eu.dnetlib.data.claims.migration.entity.OpenaireEntity;
+
+import java.util.Date;
+
+/**
+ * Created by kiatrop on 20/11/2015.
+ */
+ public class Claim {
+
+    private String id;
+    private String userMail;
+    private Date date;
+    private String sourceType;
+    private String targetType;
+    private String semantics;
+    private OpenaireEntity source;
+    private OpenaireEntity target;
+
+
+    public OpenaireEntity getTarget() {
+        return target;
+    }
+
+    public void setTarget(OpenaireEntity target) {
+        this.target = target;
+    }
+
+    public OpenaireEntity getSource() {
+        return source;
+    }
+
+    public void setSource(OpenaireEntity source) {
+        this.source = source;
+    }
+
+    public String getId() {
+        return id;
+    }
+
+    public void setId(String id) {
+        this.id = id;
+    }
+
+    public String getUserMail() {
+        return userMail;
+    }
+
+    public void setUserMail(String userMail) {
+        this.userMail = userMail;
+    }
+
+    public Date getDate() {
+        return date;
+    }
+
+    public void setDate(Date date) {
+        this.date = date;
+    }
+
+    public String getSourceType() {
+        return sourceType;
+    }
+
+    public void setSourceType(String sourceType) {
+        this.sourceType = sourceType;
+    }
+
+    public String getTargetType() {
+        return targetType;
+    }
+
+    public void setTargetType(String targetType) {
+        this.targetType = targetType;
+    }
+
+    public String getSemantics() {
+        return semantics;
+    }
+
+    public void setSemantics(String semantics) {
+        this.semantics = semantics;
+    }
+
+    @Override
+    public String toString() {
+        SimpleDateFormat format = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss.SSS");
+        return "Claim{" +
+                "\ntargetType=" + targetType+
+                ",\nsourceType=" + sourceType +
+                ",\ntarget={" +   ((target==null)?"null":target.toString())+
+                "},\n source={" + ((source==null)?"null":source.toString())  +
+                "},\n id='" + id + '\'' +
+                ", userMail='" + userMail + '\'' +
+                ", date=" + format.format(date)+
+                '}';
+    }
+}
Index: modules/uoa-claims -demo/claims-demo/src/main/java/eu/dnetlib/data/claims/migration/entity/Project.java
===================================================================
--- modules/uoa-claims -demo/claims-demo/src/main/java/eu/dnetlib/data/claims/migration/entity/Project.java	(nonexistent)
+++ modules/uoa-claims -demo/claims-demo/src/main/java/eu/dnetlib/data/claims/migration/entity/Project.java	(revision 41791)
@@ -0,0 +1,88 @@
+package eu.dnetlib.data.claims.migration.entity;
+
+/**
+
+
+ import eu.dnetlib.data.claims.migration.entity.OpenaireEntity; Created by kiatrop on 20/11/2015.
+ */
+public class Project implements  OpenaireEntity{
+    private String name;
+    private String acronym;
+    private String openaireId;
+    private String funderName;
+    private String funderShortName;
+    private String funderId;
+//    private boolean found=true;
+
+    public String getName() {
+        return name;
+    }
+
+    public void setName(String name) {
+        this.name = name;
+    }
+
+    public String getAcronym() {
+        return acronym;
+    }
+
+    public void setAcronym(String acronym) {
+        this.acronym = acronym;
+    }
+
+    public String getOpenaireId() {
+        return openaireId;
+    }
+
+    public void setOpenaireId(String openaireId) {
+        this.openaireId = openaireId;
+     }
+
+    public String getFunderName() {
+        return funderName;
+    }
+
+    public void setFunderName(String funderName) {
+        this.funderName = funderName;
+    }
+
+    public String getFunderId() {
+        return funderId;
+    }
+
+    public void setFunderId(String funderId) {
+        this.funderId = funderId;
+    }
+/*
+    public boolean isFound() {
+        return found;
+    }
+
+    public void setFound(boolean found) {
+        this.found = found;
+    }*/
+
+    public String getFunderShortName() {
+        return funderShortName;
+    }
+
+    public void setFunderShortName(String funderShortName) {
+        this.funderShortName = funderShortName;
+    }
+
+    @Override
+    public String toString() {
+        return "Project{" +
+                "\nname='" + name + '\'' +
+                ",\n acronym='" + acronym + '\'' +
+                ",\n openaireId='" + openaireId + '\'' +
+                ",\n funderName='" + funderName + '\'' +
+                ",\n funderShortName='" + funderShortName + '\'' +
+                ",\n funderId='" + funderId + '\'' +
+                '}';
+    }
+
+    //method to ask from API of search to get the fields
+    //then parse the fields
+
+}
Index: modules/uoa-claims -demo/claims-demo/src/main/java/eu/dnetlib/data/claims/migration/entity/Relation.java
===================================================================
--- modules/uoa-claims -demo/claims-demo/src/main/java/eu/dnetlib/data/claims/migration/entity/Relation.java	(nonexistent)
+++ modules/uoa-claims -demo/claims-demo/src/main/java/eu/dnetlib/data/claims/migration/entity/Relation.java	(revision 41791)
@@ -0,0 +1,108 @@
+package eu.dnetlib.data.claims.migration.entity;
+
+/**
+ * Created by kiatrop on 5/2/2016.
+ */
+
+import java.util.Date;
+
+/**
+ * This is the old claim representation
+ */
+public class Relation {
+
+    private String claimId = null;
+    private String targetId = null;
+    private String targetType = null;
+
+    private String sourceId = null;
+    private String sourceType = null;
+
+    private boolean hasDMF = false;
+    private String dmf = null;
+
+    private String collectedFrom = null;
+
+    private String claimedBy = null;
+    private Date claimDate = null;
+
+    public String getClaimId() {
+        return claimId;
+    }
+
+    public void setClaimId(String claimId) {
+        this.claimId = claimId;
+    }
+
+    public String getTargetId() {
+        return targetId;
+    }
+
+    public void setTargetId(String targetId) {
+        this.targetId = targetId;
+    }
+
+    public String getTargetType() {
+        return targetType;
+    }
+
+    public void setTargetType(String targetType) {
+        this.targetType = targetType;
+    }
+
+    public String getSourceId() {
+        return sourceId;
+    }
+
+    public void setSourceId(String sourceId) {
+        this.sourceId = sourceId;
+    }
+
+    public String getSourceType() {
+        return sourceType;
+    }
+
+    public void setSourceType(String sourceType) {
+        this.sourceType = sourceType;
+    }
+
+    public boolean isHasDMF() {
+        return hasDMF;
+    }
+
+    public void setHasDMF(boolean hasDMF) {
+        this.hasDMF = hasDMF;
+    }
+
+    public String getCollectedFrom() {
+        return collectedFrom;
+    }
+
+    public void setCollectedFrom(String collectedFrom) {
+        this.collectedFrom = collectedFrom;
+    }
+
+    public String getClaimedBy() {
+        return claimedBy;
+    }
+
+    public void setClaimedBy(String claimedBy) {
+        this.claimedBy = claimedBy;
+    }
+
+    public Date getClaimDate() {
+        return claimDate;
+    }
+
+    public void setClaimDate(Date claimDate) {
+        this.claimDate = claimDate;
+    }
+
+    public String getDmf() {
+        return dmf;
+    }
+
+    public void setDmf(String dmf) {
+        this.dmf = dmf;
+    }
+}
